Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_gpio_context_t Struct Reference
SoC Registers (SE)

GPIO context type. More...

`#include <qm_soc_regs.h>`

## Data Fields
uint32_t | gpio_swporta_dr
| Port A Data. More...
uint32_t | gpio_swporta_ddr
| Port A Data Direction. More...
uint32_t | gpio_swporta_ctl
| Port A Data Source. More...
uint32_t | gpio_inten
| Interrupt Enable. More...
uint32_t | gpio_intmask
| Interrupt Mask. More...
uint32_t | gpio_inttype_level
| Interrupt Type. More...
uint32_t | gpio_int_polarity
| Interrupt Polarity. More...
uint32_t | gpio_debounce
| Debounce Enable. More...
uint32_t | gpio_ls_sync
| Synchronization Level. More...
uint32_t | gpio_int_bothedge
| Interrupt both edge type. More...

## Detailed Description

GPIO context type.

Application should not modify the content. This structure is only intended to be used by the qm_gpio_save_context and qm_gpio_restore_context functions.

Definition at line 1399 of file qm_soc_regs.h.

## Field Documentation

uint32_t qm_gpio_context_t::gpio_debounce

Debounce Enable.

Definition at line 1407 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_int_bothedge

Interrupt both edge type.

Definition at line 1409 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_int_polarity

Interrupt Polarity.

Definition at line 1406 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_inten

Interrupt Enable.

Definition at line 1403 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_intmask

Interrupt Mask.

Definition at line 1404 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_inttype_level

Interrupt Type.

Definition at line 1405 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_ls_sync

Synchronization Level.

Definition at line 1408 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_swporta_ctl

Port A Data Source.

Definition at line 1402 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_swporta_ddr

Port A Data Direction.

Definition at line 1401 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

uint32_t qm_gpio_context_t::gpio_swporta_dr

Port A Data.

Definition at line 1400 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().